Bug 867502 - Importing topics and edits
Importing topics and edits
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
1.0
All All
unspecified Severity unspecified
: ---
: ---
Assigned To: pressgang-ccms-dev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 11:48 EDT by Eric Johnson
Modified: 2013-07-17 23:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-17 23:36:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bulk Import Button (40.29 KB, image/png)
2013-03-12 22:50 EDT, Matthew Casperson
no flags Details

  None (edit)
Description Eric Johnson 2012-10-17 11:48:30 EDT
It would be a much nicer workflow if it were possible to do direct uploads of new and edited topics directly through the Web UI instead of using cut and paste.

It would be even better if PressGang could be integrated into some of the common XML editors either through plug-ins or other means.
Comment 5 Lee Newson 2013-03-05 03:22:13 EST
Made comments private due to linking policy.
Comment 7 Eric Johnson 2013-03-05 09:41:16 EST
So is there going to be a button or other UI element that allows a user to do the import without needing to know the script? The work flow I was hoping for was:
1. I have a bunch of docbook xml files sitting in a directory structure on my machine.
2. I open up the PressGang IU.
3. I push an import button.
4. A dialog asks me what files I want to import and if they are topics or book files that need conversion to content specs.
5. I select the files.
6. The UI asks me if the files belong to any specific project or require any group tagging.
7. The data is uploaded.
8. I get a report that tells me the files were uploaded, the IDs and titles of the new topics in a way so that I can correlate the original file with the new topic, and then some notice about doing specific tagging of the new topics.
9. If there is an error importing a file, a report that makes it clear which files failed and why it failed.

I don't really think a shell script is particularly user freindly.
Comment 8 Matthew Casperson 2013-03-12 22:50:29 EDT
Created attachment 709300 [details]
Bulk Import Button
Comment 9 Matthew Casperson 2013-03-12 22:55:14 EDT
Topics can be imported through the UI in bulk.

1. Click "Create Topic"
2. Click "Bulk Topic Import"
3. Select the files to be uploaded
4. Specify the tags to be applied to the new topics
5. Click OK
6. The new topics are listed in the search results. If any upload failed, that file name will be displayed in an error prompt.

I'll update the code to add the original file name as an extended property.

Note that this process does not do any conversion at all. What you upload is what gets saved.
Comment 10 Matthew Casperson 2013-03-12 23:15:29 EDT
To clarify step 6 - you are prompted to open a new search with the topics that you uploaded. The URL that is opened if you say yes is bookmarkable, and so can serve as a "log" of the topics you uploaded.
Comment 11 Matthew Casperson 2013-03-12 23:33:37 EDT
Initial implementation in build 201303131322
Comment 12 Matthew Casperson 2013-06-17 17:14:44 EDT
Imported topics have the original file name extended property set in 201306171931.

NOTE:
When QAing bug fixes, please make sure the build you are using is equal to or higher than the build identified above. Be aware that this fix may have only been applied in PressGang Next at this time, or it may not be currently applied in any production system, in which case it can only be verified at a later date.

Note You need to log in before you can comment on or make changes to this bug.